> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Promotions

> List promotions with optional filters.



## OpenAPI

````yaml get /billing/promotions
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/promotions:
    get:
      tags:
        - Promotions
      summary: List Promotions
      description: List promotions with optional filters.
      operationId: list_promotions_billing_promotions_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: is_active
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Is Active
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: code
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Code
        - name: sort_by
          in: query
          required: false
          schema:
            type: string
            default: created_date
            title: Sort By
        - name: sort_direction
          in: query
          required: false
          schema:
            type: string
            default: desc
            title: Sort Direction
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            default: 50
            title: Limit
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
            title: Offset
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PromotionListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PromotionListResponse:
      properties:
        promotions:
          items:
            $ref: '#/components/schemas/PromotionSummary'
          type: array
          title: Promotions
        total:
          type: integer
          title: Total
      type: object
      required:
        - promotions
        - total
      title: PromotionListResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PromotionSummary:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        isActive:
          type: boolean
          title: Isactive
        startDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Startdate
        endDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Enddate
        rrule:
          anyOf:
            - type: string
            - type: 'null'
          title: Rrule
        timezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Timezone
        maxRedemptions:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxredemptions
        maxPerPatient:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxperpatient
        redemptionsCount:
          type: integer
          title: Redemptionscount
          default: 0
        autoApply:
          type: boolean
          title: Autoapply
          default: true
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
        creditAmount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Creditamount
        creditExpiryDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Creditexpirydays
        loyaltyPointsBonus:
          anyOf:
            - type: integer
            - type: 'null'
          title: Loyaltypointsbonus
        loyaltyPointsExpiryDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Loyaltypointsexpirydays
        providerIds:
          items:
            type: string
          type: array
          title: Providerids
        teamIds:
          items:
            type: string
          type: array
          title: Teamids
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
      type: object
      required:
        - id
        - name
        - isActive
      title: PromotionSummary
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````